Subject: Opsdir last call review of draft-ietf-pim-yang-12

From: Jürgen Schönwälder <[email-masked]>
Date: Wed, 20 Dec 2017 13:19:16 -0800

Reviewer: Jürgen Schönwälder
Review result: Has Issues

I have reviewed this document both as ops-dir reviewer and as yang doctor. A
more detailed review has been submitted as part of the yang doctor review. Here
I am focusing on more general questions from an operational perspective.

- There are a number of parameters without defined defaults. Is the
  idea that every vendor augments in their defaults? Would it not
  overall be simpler if the PIM WG can find agreement on common
  defaults? (Vendors can still publish deviations I think.)

- I wonder how these YANG modules relate to the PIM MIB modules. Are
  for example counters the same or different? I think it would be good
  if the text would discuss relationship of the YANG modules relate to
  corresponding MIB modules.

-  There are no example configurations provided, demonstration how, for
  example, a simple PIM installation would be configured is not
  present in the document (e.g., as an appendix).